gtkmm: Gtk::ColorSelectionDialog Class Reference

gtkmm 2.24.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions

# Gtk::ColorSelectionDialog Class Reference
Dialogs

This dialog allows the user to select a color. More...

Inheritance diagram for Gtk::ColorSelectionDialog:
[legend]
Collaboration diagram for Gtk::ColorSelectionDialog:
[legend]

List of all members.

## Public Member Functions
virtual | ~ColorSelectionDialog ()
GtkColorSelectionDialog* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkColorSelectionDialog* | gobj () const
| Provides access to the underlying C GtkObject.
| ColorSelectionDialog ()
| ColorSelectionDialog (const Glib::ustring& title)
ColorSelection* | get_color_selection ()
| Retrieves the Gtk::ColorSelection widget embedded in the dialog.
const ColorSelection* | get_color_selection () const
| Retrieves the Gtk::ColorSelection widget embedded in the dialog.
ColorSelection* | get_colorsel ()
const ColorSelection* | get_colorsel () const
Button* | get_ok_button ()
const Button* | get_ok_button () const
Button* | get_cancel_button ()
const Button* | get_cancel_button () const
Button* | get_help_button ()
const Button* | get_help_button () const
Glib::PropertyProxy_ReadOnly < ColorSelection* > | property_color_selection () const
| The color selection embedded in the dialog.
Glib::PropertyProxy_ReadOnly < Button* > | property_ok_button () const
| The OK button of the dialog.
Glib::PropertyProxy_ReadOnly < Button* > | property_cancel_button () const
| The cancel button of the dialog.
Glib::PropertyProxy_ReadOnly < Button* > | property_help_button () const
| The help button of the dialog.
## Related Functions
(Note that these are not member functions.)
Gtk::ColorSelectionDialog* | wrap (GtkColorSelectionDialog* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This dialog allows the user to select a color.

A ColorSelectionDialog looks like this:

## Constructor & Destructor Documentation

virtual Gtk::ColorSelectionDialog::~ColorSelectionDialog | ( |  | ) | `[virtual]`

Gtk::ColorSelectionDialog::ColorSelectionDialog | ( |  | ) |

Gtk::ColorSelectionDialog::ColorSelectionDialog | ( | const Glib::ustring & | title | ) | `[explicit]`

## Member Function Documentation

Button* Gtk::ColorSelectionDialog::get_cancel_button | ( |  | ) |

Deprecated:
  Use Gtk::Dialog::get_widget_for_response() instead.

const Button* Gtk::ColorSelectionDialog::get_cancel_button | ( |  | ) | const

const ColorSelection* Gtk::ColorSelectionDialog::get_color_selection | ( |  | ) | const

Retrieves the Gtk::ColorSelection widget embedded in the dialog.

Since gtkmm 2.14:

Returns:
  The embedded Gtk::ColorSelection.

ColorSelection* Gtk::ColorSelectionDialog::get_color_selection | ( |  | ) |

Retrieves the Gtk::ColorSelection widget embedded in the dialog.

Since gtkmm 2.14:

Returns:
  The embedded Gtk::ColorSelection.

ColorSelection* Gtk::ColorSelectionDialog::get_colorsel | ( |  | ) |

Deprecated:
  Use get_color_selection() instead.

const ColorSelection* Gtk::ColorSelectionDialog::get_colorsel | ( |  | ) | const

Deprecated:
  Use get_color_selection() instead.

Button* Gtk::ColorSelectionDialog::get_help_button | ( |  | ) |

Deprecated:
  Use Gtk::Dialog::get_widget_for_response() instead.

const Button* Gtk::ColorSelectionDialog::get_help_button | ( |  | ) | const

const Button* Gtk::ColorSelectionDialog::get_ok_button | ( |  | ) | const

Button* Gtk::ColorSelectionDialog::get_ok_button | ( |  | ) |

Deprecated:
  Use Gtk::Dialog::get_widget_for_response() instead.

const GtkColorSelectionDialog* Gtk::ColorSelectionDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

GtkColorSelectionDialog* Gtk::ColorSelectionDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

Glib::PropertyProxy_ReadOnly<Button*> Gtk::ColorSelectionDialog::property_cancel_button | ( |  | ) | const

The cancel button of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<ColorSelection*> Gtk::ColorSelectionDialog::property_color_selection | ( |  | ) | const

The color selection embedded in the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Button*> Gtk::ColorSelectionDialog::property_help_button | ( |  | ) | const

The help button of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Button*> Gtk::ColorSelectionDialog::property_ok_button | ( |  | ) | const

The OK button of the dialog.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Gtk::ColorSelectionDialog* wrap | ( | GtkColorSelectionDialog * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/colorselection.h